Subject: Re: [PATCH v8 11/12] docs: move cruft pack docs to gitformat-pack

From: Junio C Hamano <[email-masked]>
Date: Fri, 05 Aug 2022 09:12:12 -0700

Ævar Arnfjörð Bjarmason <[email-masked]> writes:

>> That makes sense to me, and I agree that in the longer term we may
>> want to treat the pack bitmap format documentation the same way.
>
> I have that patch locally already, and figured I'd send it in shortly
> after this lands. I just didn't want to burden you with the merge
> conflict with c7e7f5dd814 (Documentation/technical: describe bitmap
> lookup table extension, 2022-07-20).
>
> The merge conflict is relatively easy to deal with, I included a
> resolution in the v3 of this series (but ejected the change out of v4):
> https://lore.kernel.org/git/[email-masked]/
>
> I can still re-roll with it if you'd like it sooner than later, or
> ac/bitmap-lookup-table could be re-rolled on top of this topic
> eventually (it seems it needs an eventual re-roll anyway due to SHA-256
> flakyness).
>
> Or we could just go with the status quo here and leave it until the dust
> eventually settles, which is what I went with so far.

Let's go slowly.  Others may feel differently and prefer separate
manual pages for .mtimes and .bitmap formats instead.  They have
more info to form their opinions after this round lands.

Thanks.